Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Create Webhook Endpoint

client.webhooks.create(body, options?): WebhookEndpointWithSecret { id, created_at, event_types, 6 more }
POST
/webhook_endpoints

Creates a webhook endpoint for the authenticated project.

Parameters
body: WebhookCreateParams { event_types, name, url }
event_types: Array<"batch.completed" | "batch.failed" | "batch.expired" | 24 more>

The event types that trigger deliveries to this endpoint.

minItems1
name: string

A human-readable name for the webhook endpoint.

minLength1
maxLength256
url: string

The HTTPS URL that receives webhook deliveries.

maxLength2048
Returns
WebhookEndpointWithSecret { id, created_at, event_types, 6 more }
id: string

The unique ID of the webhook endpoint.

created_at: number

The Unix timestamp when the endpoint was created.

formatunixtime
event_types: Array<string>

The event types that trigger deliveries to this endpoint.

name: string

The human-readable name of the endpoint.

object: "webhook_endpoint"

The object type, which is always webhook_endpoint.

signing_secret: string

The endpoint’s signing secret. This is returned only when the endpoint is created or the secret is rotated.

signing_secret_hint: string | null

A masked hint for the endpoint’s signing secret.

url: string

The HTTPS URL that receives webhook deliveries.

updated_at?: number

The Unix timestamp of the last endpoint configuration or signing-secret change. Initialized at creation; tests and unchanged updates do not advance it.

formatunixtime

Create Webhook Endpoint

import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const webhookEndpointWithSecret = await client.webhooks.create({
  event_types: ['batch.completed'],
  name: 'x',
  url: 'https://',
});

console.log(webhookEndpointWithSecret.id);
200 — Example
{
  "id": "id",
  "created_at": 0,
  "event_types": [
    "string"
  ],
  "name": "name",
  "object": "webhook_endpoint",
  "signing_secret": "signing_secret",
  "signing_secret_hint": "signing_secret_hint",
  "url": "url",
  "updated_at": 0
}
Returns Examples
200 — Example
{
  "id": "id",
  "created_at": 0,
  "event_types": [
    "string"
  ],
  "name": "name",
  "object": "webhook_endpoint",
  "signing_secret": "signing_secret",
  "signing_secret_hint": "signing_secret_hint",
  "url": "url",
  "updated_at": 0
}